summaryrefslogtreecommitdiff
path: root/tests/unapplied-pq2qc
diff options
context:
space:
mode:
Diffstat (limited to 'tests/unapplied-pq2qc')
-rwxr-xr-xtests/unapplied-pq2qc23
1 files changed, 23 insertions, 0 deletions
diff --git a/tests/unapplied-pq2qc b/tests/unapplied-pq2qc
new file mode 100755
index 0000000..03b2cdf
--- /dev/null
+++ b/tests/unapplied-pq2qc
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -e
+fail () { echo >&2 "$0: $*"; exit 1; }
+
+# does `gbp pq export' (leaving us on BRANCH (eg "quilt-tip"))
+# commits the resulting debian/patches on qc/BRANCH
+# goes back to patch-queue/BRANCH
+# qc/BRANCH is not fast-forwarding
+
+gbp pq export
+
+branch=`git symbolic-ref HEAD`
+branch=${branch#refs/heads/}
+
+case "$branch" in
+*/*) fail "unexpected branch $branch" ;;
+esac
+
+git branch -f qc/$branch
+git checkout qc/$branch
+git add debian/patches
+git commit -m 'Commit patch queue'
+git checkout patch-queue/$branch